// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.33.0
// 	protoc        v3.19.6
// source: pkg/spore/spore.proto

package spore

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SetHostnameRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Hostname string `protobuf:"bytes,1,opt,name=hostname,proto3" json:"hostname,omitempty"`
}

func (x *SetHostnameRequest) Reset() {
	*x = SetHostnameRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetHostnameRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetHostnameRequest) ProtoMessage() {}

func (x *SetHostnameRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetHostnameRequest.ProtoReflect.Descriptor instead.
func (*SetHostnameRequest) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{0}
}

func (x *SetHostnameRequest) GetHostname() string {
	if x != nil {
		return x.Hostname
	}
	return ""
}

type SetHostnameResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *SetHostnameResponse) Reset() {
	*x = SetHostnameResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetHostnameResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetHostnameResponse) ProtoMessage() {}

func (x *SetHostnameResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetHostnameResponse.ProtoReflect.Descriptor instead.
func (*SetHostnameResponse) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{1}
}

type AddServiceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *AddServiceRequest) Reset() {
	*x = AddServiceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddServiceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddServiceRequest) ProtoMessage() {}

func (x *AddServiceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddServiceRequest.ProtoReflect.Descriptor instead.
func (*AddServiceRequest) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{2}
}

func (x *AddServiceRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type AddServiceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *AddServiceResponse) Reset() {
	*x = AddServiceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddServiceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddServiceResponse) ProtoMessage() {}

func (x *AddServiceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddServiceResponse.ProtoReflect.Descriptor instead.
func (*AddServiceResponse) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{3}
}

type RemoveServiceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *RemoveServiceRequest) Reset() {
	*x = RemoveServiceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RemoveServiceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoveServiceRequest) ProtoMessage() {}

func (x *RemoveServiceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoveServiceRequest.ProtoReflect.Descriptor instead.
func (*RemoveServiceRequest) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{4}
}

func (x *RemoveServiceRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type RemoveServiceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RemoveServiceResponse) Reset() {
	*x = RemoveServiceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RemoveServiceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoveServiceResponse) ProtoMessage() {}

func (x *RemoveServiceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoveServiceResponse.ProtoReflect.Descriptor instead.
func (*RemoveServiceResponse) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{5}
}

type AddDiskRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Dev  string `protobuf:"bytes,2,opt,name=dev,proto3" json:"dev,omitempty"`
}

func (x *AddDiskRequest) Reset() {
	*x = AddDiskRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddDiskRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddDiskRequest) ProtoMessage() {}

func (x *AddDiskRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddDiskRequest.ProtoReflect.Descriptor instead.
func (*AddDiskRequest) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{6}
}

func (x *AddDiskRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *AddDiskRequest) GetDev() string {
	if x != nil {
		return x.Dev
	}
	return ""
}

type AddDiskResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *AddDiskResponse) Reset() {
	*x = AddDiskResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddDiskResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddDiskResponse) ProtoMessage() {}

func (x *AddDiskResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddDiskResponse.ProtoReflect.Descriptor instead.
func (*AddDiskResponse) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{7}
}

type AddDirectoryRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Path string `protobuf:"bytes,1,opt,name=path,proto3" json:"path,omitempty"`
	Uid  uint32 `protobuf:"varint,2,opt,name=uid,proto3" json:"uid,omitempty"`
	Gid  uint32 `protobuf:"varint,3,opt,name=gid,proto3" json:"gid,omitempty"`
	Mode uint32 `protobuf:"varint,4,opt,name=mode,proto3" json:"mode,omitempty"`
}

func (x *AddDirectoryRequest) Reset() {
	*x = AddDirectoryRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddDirectoryRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddDirectoryRequest) ProtoMessage() {}

func (x *AddDirectoryRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddDirectoryRequest.ProtoReflect.Descriptor instead.
func (*AddDirectoryRequest) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{8}
}

func (x *AddDirectoryRequest) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

func (x *AddDirectoryRequest) GetUid() uint32 {
	if x != nil {
		return x.Uid
	}
	return 0
}

func (x *AddDirectoryRequest) GetGid() uint32 {
	if x != nil {
		return x.Gid
	}
	return 0
}

func (x *AddDirectoryRequest) GetMode() uint32 {
	if x != nil {
		return x.Mode
	}
	return 0
}

type AddDirectoryResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *AddDirectoryResponse) Reset() {
	*x = AddDirectoryResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddDirectoryResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddDirectoryResponse) ProtoMessage() {}

func (x *AddDirectoryResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddDirectoryResponse.ProtoReflect.Descriptor instead.
func (*AddDirectoryResponse) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{9}
}

type AddFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Path    string `protobuf:"bytes,1,opt,name=path,proto3" json:"path,omitempty"`
	Uid     uint32 `protobuf:"varint,2,opt,name=uid,proto3" json:"uid,omitempty"`
	Gid     uint32 `protobuf:"varint,3,opt,name=gid,proto3" json:"gid,omitempty"`
	Mode    uint32 `protobuf:"varint,4,opt,name=mode,proto3" json:"mode,omitempty"`
	Content []byte `protobuf:"bytes,5,opt,name=content,proto3" json:"content,omitempty"`
}

func (x *AddFileRequest) Reset() {
	*x = AddFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddFileRequest) ProtoMessage() {}

func (x *AddFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddFileRequest.ProtoReflect.Descriptor instead.
func (*AddFileRequest) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{10}
}

func (x *AddFileRequest) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

func (x *AddFileRequest) GetUid() uint32 {
	if x != nil {
		return x.Uid
	}
	return 0
}

func (x *AddFileRequest) GetGid() uint32 {
	if x != nil {
		return x.Gid
	}
	return 0
}

func (x *AddFileRequest) GetMode() uint32 {
	if x != nil {
		return x.Mode
	}
	return 0
}

func (x *AddFileRequest) GetContent() []byte {
	if x != nil {
		return x.Content
	}
	return nil
}

type AddFileResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *AddFileResponse) Reset() {
	*x = AddFileResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_spore_spore_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddFileResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddFileResponse) ProtoMessage() {}

func (x *AddFileResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_spore_spore_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddFileResponse.ProtoReflect.Descriptor instead.
func (*AddFileResponse) Descriptor() ([]byte, []int) {
	return file_pkg_spore_spore_proto_rawDescGZIP(), []int{11}
}

var File_pkg_spore_spore_proto protoreflect.FileDescriptor

var file_pkg_spore_spore_proto_rawDesc = []byte{
	0x0a, 0x15, 0x70, 0x6b, 0x67, 0x2f, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x2f, 0x73, 0x70, 0x6f, 0x72,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x22, 0x30,
	0x0a, 0x12, 0x53, 0x65, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x68, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x68, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65,
	0x22, 0x15, 0x0a, 0x13, 0x53, 0x65, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x27, 0x0a, 0x11, 0x41, 0x64, 0x64, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x22, 0x14, 0x0a, 0x12, 0x41, 0x64, 0x64, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x2a, 0x0a, 0x14, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12,
	0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x22, 0x17, 0x0a, 0x15, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x36, 0x0a, 0x0e, 0x41,
	0x64, 0x64, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x12, 0x10, 0x0a, 0x03, 0x64, 0x65, 0x76, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03,
	0x64, 0x65, 0x76, 0x22, 0x11, 0x0a, 0x0f, 0x41, 0x64, 0x64, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x61, 0x0a, 0x13, 0x41, 0x64, 0x64, 0x44, 0x69, 0x72,
	0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a,
	0x04, 0x70, 0x61, 0x74, 0x68, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x70, 0x61, 0x74,
	0x68, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x03,
	0x75, 0x69, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x67, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x03, 0x67, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x6f, 0x64, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x04, 0x6d, 0x6f, 0x64, 0x65, 0x22, 0x16, 0x0a, 0x14, 0x41, 0x64, 0x64,
	0x44, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x76, 0x0a, 0x0e, 0x41, 0x64, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x70, 0x61, 0x74, 0x68, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x70, 0x61, 0x74, 0x68, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0d, 0x52, 0x03, 0x75, 0x69, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x67, 0x69, 0x64,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x03, 0x67, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6d,
	0x6f, 0x64, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x04, 0x6d, 0x6f, 0x64, 0x65, 0x12,
	0x18, 0x0a, 0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0c,
	0x52, 0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x22, 0x11, 0x0a, 0x0f, 0x41, 0x64, 0x64,
	0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0x99, 0x03, 0x0a,
	0x05, 0x53, 0x70, 0x6f, 0x72, 0x65, 0x12, 0x44, 0x0a, 0x0b, 0x53, 0x65, 0x74, 0x48, 0x6f, 0x73,
	0x74, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x19, 0x2e, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x2e, 0x53, 0x65,
	0x74, 0x48, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x1a, 0x2e, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x2e, 0x53, 0x65, 0x74, 0x48, 0x6f, 0x73, 0x74,
	0x6e, 0x61, 0x6d, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x41, 0x0a, 0x0a,
	0x41, 0x64, 0x64, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x18, 0x2e, 0x73, 0x70, 0x6f,
	0x72, 0x65, 0x2e, 0x41, 0x64, 0x64, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x2e, 0x41, 0x64, 0x64,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x38, 0x0a, 0x07, 0x41, 0x64, 0x64, 0x44, 0x69, 0x73, 0x6b, 0x12, 0x15, 0x2e, 0x73, 0x70, 0x6f,
	0x72, 0x65, 0x2e, 0x41, 0x64, 0x64, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x16, 0x2e, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x2e, 0x41, 0x64, 0x64, 0x44, 0x69, 0x73,
	0x6b, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x47, 0x0a, 0x0c, 0x41, 0x64, 0x64,
	0x44, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x12, 0x1a, 0x2e, 0x73, 0x70, 0x6f, 0x72,
	0x65, 0x2e, 0x41, 0x64, 0x64, 0x44, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x2e, 0x41, 0x64,
	0x64, 0x44, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x38, 0x0a, 0x07, 0x41, 0x64, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x15, 0x2e,
	0x73, 0x70, 0x6f, 0x72, 0x65, 0x2e, 0x41, 0x64, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x2e, 0x41, 0x64, 0x64,
	0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4a, 0x0a, 0x0d,
	0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x1b, 0x2e,
	0x73, 0x70, 0x6f, 0x72, 0x65, 0x2e, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x73, 0x70, 0x6f,
	0x72, 0x65, 0x2e, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x32, 0x5a, 0x30, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62, 0x2f, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x6d, 0x61, 0x72, 0x73, 0x2f, 0x70, 0x6b, 0x67,
	0x2f, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x3b, 0x73, 0x70, 0x6f, 0x72, 0x65, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_spore_spore_proto_rawDescOnce sync.Once
	file_pkg_spore_spore_proto_rawDescData = file_pkg_spore_spore_proto_rawDesc
)

func file_pkg_spore_spore_proto_rawDescGZIP() []byte {
	file_pkg_spore_spore_proto_rawDescOnce.Do(func() {
		file_pkg_spore_spore_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_spore_spore_proto_rawDescData)
	})
	return file_pkg_spore_spore_proto_rawDescData
}

var file_pkg_spore_spore_proto_msgTypes = make([]protoimpl.MessageInfo, 12)
var file_pkg_spore_spore_proto_goTypes = []interface{}{
	(*SetHostnameRequest)(nil),    // 0: spore.SetHostnameRequest
	(*SetHostnameResponse)(nil),   // 1: spore.SetHostnameResponse
	(*AddServiceRequest)(nil),     // 2: spore.AddServiceRequest
	(*AddServiceResponse)(nil),    // 3: spore.AddServiceResponse
	(*RemoveServiceRequest)(nil),  // 4: spore.RemoveServiceRequest
	(*RemoveServiceResponse)(nil), // 5: spore.RemoveServiceResponse
	(*AddDiskRequest)(nil),        // 6: spore.AddDiskRequest
	(*AddDiskResponse)(nil),       // 7: spore.AddDiskResponse
	(*AddDirectoryRequest)(nil),   // 8: spore.AddDirectoryRequest
	(*AddDirectoryResponse)(nil),  // 9: spore.AddDirectoryResponse
	(*AddFileRequest)(nil),        // 10: spore.AddFileRequest
	(*AddFileResponse)(nil),       // 11: spore.AddFileResponse
}
var file_pkg_spore_spore_proto_depIdxs = []int32{
	0,  // 0: spore.Spore.SetHostname:input_type -> spore.SetHostnameRequest
	2,  // 1: spore.Spore.AddService:input_type -> spore.AddServiceRequest
	6,  // 2: spore.Spore.AddDisk:input_type -> spore.AddDiskRequest
	8,  // 3: spore.Spore.AddDirectory:input_type -> spore.AddDirectoryRequest
	10, // 4: spore.Spore.AddFile:input_type -> spore.AddFileRequest
	4,  // 5: spore.Spore.RemoveService:input_type -> spore.RemoveServiceRequest
	1,  // 6: spore.Spore.SetHostname:output_type -> spore.SetHostnameResponse
	3,  // 7: spore.Spore.AddService:output_type -> spore.AddServiceResponse
	7,  // 8: spore.Spore.AddDisk:output_type -> spore.AddDiskResponse
	9,  // 9: spore.Spore.AddDirectory:output_type -> spore.AddDirectoryResponse
	11, // 10: spore.Spore.AddFile:output_type -> spore.AddFileResponse
	5,  // 11: spore.Spore.RemoveService:output_type -> spore.RemoveServiceResponse
	6,  // [6:12] is the sub-list for method output_type
	0,  // [0:6] is the sub-list for method input_type
	0,  // [0:0] is the sub-list for extension type_name
	0,  // [0:0] is the sub-list for extension extendee
	0,  // [0:0] is the sub-list for field type_name
}

func init() { file_pkg_spore_spore_proto_init() }
func file_pkg_spore_spore_proto_init() {
	if File_pkg_spore_spore_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_spore_spore_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetHostnameRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetHostnameResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddServiceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddServiceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RemoveServiceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RemoveServiceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddDiskRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddDiskResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddDirectoryRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddDirectoryResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_spore_spore_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddFileResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_spore_spore_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   12,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_pkg_spore_spore_proto_goTypes,
		DependencyIndexes: file_pkg_spore_spore_proto_depIdxs,
		MessageInfos:      file_pkg_spore_spore_proto_msgTypes,
	}.Build()
	File_pkg_spore_spore_proto = out.File
	file_pkg_spore_spore_proto_rawDesc = nil
	file_pkg_spore_spore_proto_goTypes = nil
	file_pkg_spore_spore_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// SporeClient is the client API for Spore service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type SporeClient interface {
	SetHostname(ctx context.Context, in *SetHostnameRequest, opts ...grpc.CallOption) (*SetHostnameResponse, error)
	AddService(ctx context.Context, in *AddServiceRequest, opts ...grpc.CallOption) (*AddServiceResponse, error)
	AddDisk(ctx context.Context, in *AddDiskRequest, opts ...grpc.CallOption) (*AddDiskResponse, error)
	AddDirectory(ctx context.Context, in *AddDirectoryRequest, opts ...grpc.CallOption) (*AddDirectoryResponse, error)
	AddFile(ctx context.Context, in *AddFileRequest, opts ...grpc.CallOption) (*AddFileResponse, error)
	RemoveService(ctx context.Context, in *RemoveServiceRequest, opts ...grpc.CallOption) (*RemoveServiceResponse, error)
}

type sporeClient struct {
	cc grpc.ClientConnInterface
}

func NewSporeClient(cc grpc.ClientConnInterface) SporeClient {
	return &sporeClient{cc}
}

func (c *sporeClient) SetHostname(ctx context.Context, in *SetHostnameRequest, opts ...grpc.CallOption) (*SetHostnameResponse, error) {
	out := new(SetHostnameResponse)
	err := c.cc.Invoke(ctx, "/spore.Spore/SetHostname", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sporeClient) AddService(ctx context.Context, in *AddServiceRequest, opts ...grpc.CallOption) (*AddServiceResponse, error) {
	out := new(AddServiceResponse)
	err := c.cc.Invoke(ctx, "/spore.Spore/AddService", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sporeClient) AddDisk(ctx context.Context, in *AddDiskRequest, opts ...grpc.CallOption) (*AddDiskResponse, error) {
	out := new(AddDiskResponse)
	err := c.cc.Invoke(ctx, "/spore.Spore/AddDisk", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sporeClient) AddDirectory(ctx context.Context, in *AddDirectoryRequest, opts ...grpc.CallOption) (*AddDirectoryResponse, error) {
	out := new(AddDirectoryResponse)
	err := c.cc.Invoke(ctx, "/spore.Spore/AddDirectory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sporeClient) AddFile(ctx context.Context, in *AddFileRequest, opts ...grpc.CallOption) (*AddFileResponse, error) {
	out := new(AddFileResponse)
	err := c.cc.Invoke(ctx, "/spore.Spore/AddFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sporeClient) RemoveService(ctx context.Context, in *RemoveServiceRequest, opts ...grpc.CallOption) (*RemoveServiceResponse, error) {
	out := new(RemoveServiceResponse)
	err := c.cc.Invoke(ctx, "/spore.Spore/RemoveService", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// SporeServer is the server API for Spore service.
type SporeServer interface {
	SetHostname(context.Context, *SetHostnameRequest) (*SetHostnameResponse, error)
	AddService(context.Context, *AddServiceRequest) (*AddServiceResponse, error)
	AddDisk(context.Context, *AddDiskRequest) (*AddDiskResponse, error)
	AddDirectory(context.Context, *AddDirectoryRequest) (*AddDirectoryResponse, error)
	AddFile(context.Context, *AddFileRequest) (*AddFileResponse, error)
	RemoveService(context.Context, *RemoveServiceRequest) (*RemoveServiceResponse, error)
}

// UnimplementedSporeServer can be embedded to have forward compatible implementations.
type UnimplementedSporeServer struct {
}

func (*UnimplementedSporeServer) SetHostname(context.Context, *SetHostnameRequest) (*SetHostnameResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetHostname not implemented")
}
func (*UnimplementedSporeServer) AddService(context.Context, *AddServiceRequest) (*AddServiceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddService not implemented")
}
func (*UnimplementedSporeServer) AddDisk(context.Context, *AddDiskRequest) (*AddDiskResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddDisk not implemented")
}
func (*UnimplementedSporeServer) AddDirectory(context.Context, *AddDirectoryRequest) (*AddDirectoryResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddDirectory not implemented")
}
func (*UnimplementedSporeServer) AddFile(context.Context, *AddFileRequest) (*AddFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddFile not implemented")
}
func (*UnimplementedSporeServer) RemoveService(context.Context, *RemoveServiceRequest) (*RemoveServiceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveService not implemented")
}

func RegisterSporeServer(s *grpc.Server, srv SporeServer) {
	s.RegisterService(&_Spore_serviceDesc, srv)
}

func _Spore_SetHostname_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetHostnameRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SporeServer).SetHostname(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spore.Spore/SetHostname",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SporeServer).SetHostname(ctx, req.(*SetHostnameRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Spore_AddService_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SporeServer).AddService(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spore.Spore/AddService",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SporeServer).AddService(ctx, req.(*AddServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Spore_AddDisk_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddDiskRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SporeServer).AddDisk(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spore.Spore/AddDisk",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SporeServer).AddDisk(ctx, req.(*AddDiskRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Spore_AddDirectory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddDirectoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SporeServer).AddDirectory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spore.Spore/AddDirectory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SporeServer).AddDirectory(ctx, req.(*AddDirectoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Spore_AddFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SporeServer).AddFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spore.Spore/AddFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SporeServer).AddFile(ctx, req.(*AddFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Spore_RemoveService_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SporeServer).RemoveService(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spore.Spore/RemoveService",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SporeServer).RemoveService(ctx, req.(*RemoveServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Spore_serviceDesc = grpc.ServiceDesc{
	ServiceName: "spore.Spore",
	HandlerType: (*SporeServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SetHostname",
			Handler:    _Spore_SetHostname_Handler,
		},
		{
			MethodName: "AddService",
			Handler:    _Spore_AddService_Handler,
		},
		{
			MethodName: "AddDisk",
			Handler:    _Spore_AddDisk_Handler,
		},
		{
			MethodName: "AddDirectory",
			Handler:    _Spore_AddDirectory_Handler,
		},
		{
			MethodName: "AddFile",
			Handler:    _Spore_AddFile_Handler,
		},
		{
			MethodName: "RemoveService",
			Handler:    _Spore_RemoveService_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "pkg/spore/spore.proto",
}
